# definice vlastnich tagu pro strukturovana data (pro ucely SEO)

import urllib

import django.middleware.csrf
from django import template
from django.conf import settings
from django.utils.safestring import mark_safe

register = template.Library()


@register.simple_tag
def breadcrumb(page):
    """ SEO structured data typu breadcrumb """

    parent = page.get_parent() if page.get_parent().url else page

    return mark_safe(
        """<script type="application/ld+json">{
 "@context": "http://schema.org",
 "@type": "BreadcrumbList",
 "itemListElement":[
{
    "@type": "ListItem",
    "position": 1,
    "item":{
       "@id": "https://pirati.cz",
       "name": "Piráti" }},
 {
    "@type": "ListItem",
    "position": 2,
    "item": {
       "@id": "%s",
       "name": "%s"}},
 {
    "@type": "ListItem",
    "position": 3,
    "item": {
       "@id": "%s",
       "name": "%s"}}
</script>
"""
        % (parent.url, parent, page.url, page)
    )
